Skip to content
TellMeHow Developers

API documentation

Sources

Sources: 10 API operations, with their parameters, body, responses and a curl example.

GET /engagements/{engagement}/artifacts

Read engagements.sources.artifacts.index

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/artifacts" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/artifacts

Write engagements.sources.artifacts.store

Parameters

engagement path
Identifier (ULID).

Body multipart/form-data

  • file file required

    length: at most 25600

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/artifacts" \
  -H "Authorization: Bearer pat_…" \
  -F "file=@./file.pdf"

GET /engagements/{engagement}/artifacts/{artifact}

Read engagements.sources.artifacts.show

Parameters

engagement path
Identifier (ULID).
artifact path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/artifacts/{artifact}" \
  -H "Authorization: Bearer pat_…"

DELETE /engagements/{engagement}/artifacts/{artifact}

Write engagements.sources.artifacts.destroy

Parameters

engagement path
Identifier (ULID).
artifact path
Identifier (ULID).

Responses

  • 204 Deleted, no content.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X DELETE "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/artifacts/{artifact}" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/artifacts/{artifact}/download

Read engagements.sources.artifacts.download

Parameters

engagement path
Identifier (ULID).
artifact path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/artifacts/{artifact}/download" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/external-sources

Read engagements.sources.external-sources.index

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/external-sources" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/external-sources

Write engagements.sources.external-sources.store

Parameters

engagement path
Identifier (ULID).

Body multipart/form-data

  • file file required

    length: at most 10240

  • name string required

    length: at most 255

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/external-sources" \
  -H "Authorization: Bearer pat_…" \
  -F "file=@./file.pdf" \
  -F "name=…"

DELETE /engagements/{engagement}/external-sources/{source}

Write engagements.sources.external-sources.destroy

Parameters

engagement path
Identifier (ULID).
source path
Identifier (ULID).

Responses

  • 204 Deleted, no content.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X DELETE "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/external-sources/{source}" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/external-sources/{source}/items

Read engagements.sources.external-sources.items

Parameters

engagement path
Identifier (ULID).
source path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/external-sources/{source}/items" \
  -H "Authorization: Bearer pat_…"

GET /sources/schema/external-source/{version}

Read sources.schema

Parameters

version path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/sources/schema/external-source/{version}" \
  -H "Authorization: Bearer pat_…"